aboutsummaryrefslogtreecommitdiff
path: root/bash/bash_profile.d/fortune.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bash_profile.d/fortune.bash')
-rw-r--r--bash/bash_profile.d/fortune.bash12
1 files changed, 9 insertions, 3 deletions
diff --git a/bash/bash_profile.d/fortune.bash b/bash/bash_profile.d/fortune.bash
index f3ef2be9..9879716a 100644
--- a/bash/bash_profile.d/fortune.bash
+++ b/bash/bash_profile.d/fortune.bash
@@ -1,10 +1,16 @@
-# If interactive shell and fortune(6) installed, print a short fortune
-if [[ $- == *i* ]] && hash fortune 2>/dev/null ; then (
+# Only if shell is interactive
+[[ $- == *i* ]] || return
+
+# Only if fortune(6) available
+hash fortune 2>/dev/null || return
+
+# Print from subshell to keep namespace clean
+(
if [[ -d $HOME/.local/share/games/fortunes ]] ; then
FORTUNE_PATH=${FORTUNE_PATH:-$HOME/.local/share/games/fortunes}
fi
printf '\n'
fortune -sn "${FORTUNE_MAXSIZE:-768}" "$FORTUNE_PATH"
printf '\n'
-) ; fi
+)